MicroTESK - Bug #3995

[translator] Support for bitfields using non-constant expressions

03/11/2013 01:39 PM - Andrei Tatarnikov

Status: Closed Start date: 03/11/2013
Priority: Normal Due date:

Assignee: Andrei Tatarnikov % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Detected in build: svn Published in build: 20140320
Platform:

Description

Lns npaBMnbHOM MHAEHTUDMKALMY TUMOB NPpU obpalleHnn K GUTOBBLIM MONSIM BbIYMCNISIETCS pa3Mep Mons (Ha aTane TpaHCnsumm).
NHpekcHble BbipaXeHusl, Kak NpaBuiio, - CTATUHECKN BbIYUCISIEMbIE KOHCTAHTHbIE BbipaxeHusi. OfHako, BO3MOXHbI Creayolme

BapUaHTbI:

shifter_carry_out = GPR[r]l<amount-1..amount-1>;

Takoi kog He 6y,ﬂ,6T TpaHcnAMpoBaTbcA T.K. amount - He KOHCTaHTa. OnHako, pa3mep nonsga MOXHO NOCHTUTATb 1 BUOHO, 4HTO OH

6yneT paBeH 1.

B monenu ARM BcTpeyaeTcsl HECKONbKO NOAOOHBIX CUMMETPUYHBIX KOHCTPYKUMA. Ons HUx MoxHo n HY XKHO Bbluncnatb pasmep

nons.

History

#1 - 03/11/2013 01:40 PM - Andrei Tatarnikov

- Assignee set to Andrei Tatarnikov

#2 - 01/14/2014 01:58 PM - Andrei Tatarnikov
- File bug3995.nml added
- Status changed from New to Resolved

- % Done changed from 0 to 100

B r1593 ato ucnpasneHo. MNpumep npukpennéH.

#3 - 03/21/2014 06:53 AM - Alexander Kamkin
- Status changed from Resolved to Closed

- Published in build set to 20140320
